org.apache.solr.store.hdfs

## Class HdfsDirectory.HdfsIndexInput

- java.lang.Object
- - org.apache.lucene.store.DataInput
  - - org.apache.lucene.store.IndexInput
    - - org.apache.solr.store.blockcache.CustomBufferedIndexInput
      - - org.apache.solr.store.hdfs.HdfsDirectory.HdfsIndexInput

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable
  Enclosing class:
    HdfsDirectory

      public static class HdfsDirectory.HdfsIndexInput
      extends CustomBufferedIndexInput

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.store.blockcache.CustomBufferedIndexInput

      `buffer, BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HdfsIndexInput(String name, org.apache.hadoop.fs.FileSystem fileSystem, org.apache.hadoop.fs.Path path, int bufferSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexInput` | `clone()`
    `protected void` | `closeInternal()`
    `long` | `length()`
    `protected void` | `readInternal(byte[] b, int offset, int length)` Expert: implements buffer refill.
    `protected void` | `seekInternal(long pos)` Expert: implements seek.

    - ### Methods inherited from class org.apache.solr.store.blockcache.CustomBufferedIndexInput

      `close, flushBuffer, getFilePointer, readByte, readBytes, readBytes, readInt, readLong, readVInt, readVLong, seek, slice`

    - ### Methods inherited from class org.apache.lucene.store.IndexInput

      `getFullSliceDescription, randomAccessSlice, toString`

    - ### Methods inherited from class org.apache.lucene.store.DataInput

      `readMapOfStrings, readSetOfStrings, readShort, readString, readStringSet, readStringStringMap, readZInt, readZLong, skipBytes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HdfsIndexInput

          public HdfsIndexInput(String name,
                                org.apache.hadoop.fs.FileSystem fileSystem,
                                org.apache.hadoop.fs.Path path,
                                int bufferSize)
                         throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### readInternal

          protected void readInternal(byte[] b,
                                      int offset,
                                      int length)
                               throws IOException

      Description copied from class: `CustomBufferedIndexInput`
      Expert: implements buffer refill. Reads bytes from the current position in the input.
      Specified by:
        `readInternal` in class `CustomBufferedIndexInput`
      Parameters:
        `b` - the array to read bytes into
        `offset` - the offset in the array to start storing bytes
        `length` - the number of bytes to read
      Throws:
        `IOException`

    - #### seekInternal

          protected void seekInternal(long pos)
                               throws IOException

      Description copied from class: `CustomBufferedIndexInput`
      Expert: implements seek. Sets current position in this file, where the next `CustomBufferedIndexInput.readInternal(byte[],int,int)` will occur.
      Specified by:
        `seekInternal` in class `CustomBufferedIndexInput`
      Throws:
        `IOException`
      See Also:
        `CustomBufferedIndexInput.readInternal(byte[],int,int)`

    - #### closeInternal

          protected void closeInternal()
                                throws IOException

      Specified by:
        `closeInternal` in class `CustomBufferedIndexInput`
      Throws:
        `IOException`

    - #### length

          public long length()

      Specified by:
        `length` in class `IndexInput`

    - #### clone

          public IndexInput clone()

      Overrides:
        `clone` in class `CustomBufferedIndexInput`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.